installation de pod Imposible agregar fuente

Quiero instalar pod, pero tengo estos errores.

Error :

Analyzing dependencies Cloning spec repo `wackadoo` from `gitATgithub.com:Repo/Repo.git` [!] Unable to add a source with url `gitATgithub.com:Repo/Repo.git` named `Repo`. You can try adding it manually in `~/.cocoapods/repos` or via `pod repo add`. 

Creo que podría ser mi configuration de git. Cuando hago un clon git, debo ingresar mi nombre de usuario y contraseña. ¿Está bien?

My Podfile

 source 'git@github.com:sample/sample.git' source 'https://github.com/CocoaPods/Specs.git' pod 'RestKit', '~> 0.20.0' pod 'TestLibrary', :git => 'https://github.com/sample/sample2' pod 'libARClientIOS', :path => '~/Developer/Test/iPhone/libARClientIOS/' post_install do |installer| installer.project.targets.each do |target| target.build_configurations.each do |configuration| target.build_settings(configuration.name)['ARCHS'] = '$(ARCHS_STANDARD_32_BIT)' end end end 

Olvidaste configurar tu ruta Xcode recién instalada en la herramienta de command-line. Xcode -> Preferences -> Ubicaciones -> Herramienta de command-line -> configura tu Xcode.

Cambio la dirección de origen de git @ a https: // Creo que no configuré mi key ssh en git.

La solución que funciona para mí es actualizar la gem de las vainas de cocoa de la siguiente manera:

 sudo gem uninstall cocoapods sudo gem install cocoapods 

y eliminar esa fuente de línea ' https://github.com/CocoaPods/Specs.git ' de Podfile. y dejar que obtenga el repository desde su propia configuration.

Esto estaba funcionando bien antes. Sin embargo, cuando cambié a Xcode 8.1 este problema apareció. La razón del problema es que las herramientas de command-line necesarias para el pod de installation no están seleccionadas en la configuration de Xcode.

Esto se puede hacer usando los siguientes pasos:

  1. Presione cmd + coma (,) para abrir las Preferences de Xcode (tecla de atajo)
  2. Ir a la pestaña Ubicaciones (la última)
  3. Desde la opción Herramientas de command-line , select el Xcode que está utilizando para build su aplicación.
  4. Ahora el command de installation de la cápsula debería funcionar.

Captura de pantalla agregada